#!/bin/bash
clear
# kill any running instances of flrig & rigctld
#pid=$(pidof -x flrig)
#if [ ! -z $pid ] 
#then
#  echo "killing old flig instance: " $pid
#  kill $pid
pid=$(pidof -x rigctld)
echo $pid
if [ ! -z $pid ]
then
  echo "kill old rigctld instance: " $pid
#  sudo kill $pid
  kill $pid
fi

# start ardop
cmd="ardopc --leaderlength 200"
$cmd &

# start flrig & rigctld

pid=$(pidof -x flrig)
if [ -z $pid ]; then
    echo "starting flrig and sleeping a bit to let it fully start"
    flrig &
    sleep 7
fi
echo "starting rigctld"
# cmd="sudo rigctld -m4"
cmd="rigctld -m4"
$cmd &
sleep 1
cmd="rigctl -m4 M USB 2400"
$cmd

#start pat and restart if it gets errors
cmd="pat http"
log="pat.log"
match="gensio_error"
$cmd > "$log" 2>&1 &
pid=$!
echo "started pat, pid: " $pid
firefox 127.0.0.1:5000 &
while sleep 5
#clear
do
    if fgrep --quiet "$match" "$log"
    then
        kill $pid
	echo "killed old pid: " $pid
	sleep 1
	$cmd > "$log" 2>&1 &
	pid=$!
	echo "new pid: " $pid
    fi
done
